# Function createTransferNativeWithPayloadInstruction

- createTransferNativeWithPayloadInstruction(connection, tokenBridgeProgramId, wormholeProgramId, payer, message, from, mint, nonce, amount, targetAddress, targetChain, payload): TransactionInstruction

- #### Parameters

  - ##### connection: Connection

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### message: PublicKeyInitData

  - ##### from: PublicKeyInitData

  - ##### mint: PublicKeyInitData

  - ##### nonce: number

  - ##### amount: bigint

  - ##### targetAddress: Uint8Array | Buffer

  - ##### targetChain: number

  - ##### payload: Uint8Array | Buffer

  #### Returns TransactionInstruction

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/instructions/transferNativeWithPayload.ts:18

Generated using TypeDoc